std::hash<::bitset< _Nb > > Struct Template Reference

`#include <bitset>`

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const ::bitset< _Nb > &__b) const noexcept

## Detailed Description

template<size_t _Nb>
struct std::hash<::bitset< _Nb > >

std::hash specialization for bitset.

Definition at line 1569 of file bitset.

## Member Typedef Documentation

## argument_type

template<typename _Result , typename _Arg >

typedef _Arg std::__hash_base< _Result, _Arg >::argument_type

inherited

Definition at line 54 of file functional_hash.h.

## result_type

template<typename _Result , typename _Arg >

typedef _Result std::__hash_base< _Result, _Arg >::result_type

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

template<size_t _Nb>

size_t std::hash<::bitset< _Nb > >::operator() | ( | const ::bitset< _Nb > & | __b | ) | const

inline noexcept

Definition at line 1573 of file bitset.

The documentation for this struct was generated from the following file:

- bitset